WCSCAT(3)

NAME
wcscat - concatenate two wide-character strings

SYNOPSIS
#include <wchar.h>

wchar_t *wcscat(wchar_t *dest, const wchar_t *src);

DESCRIPTION
The wcscat() function is the wide-character equivalent of the strcat(3) function. It copies the wide-character string pointed to by src, including the terminating null wide character (L'\0'), to the end of the wide-character string pointed to by dest.

The strings may not overlap.

The programmer must ensure that there is room for at least wcslen(dest) + wcslen(src) + 1 wide characters at dest.

RETURN VALUE
wcscat() returns dest.

CONFORMING TO
C99.

SEE ALSO
strcat(3), wcpcpy(3), wcscpy(3), wcsncat(3)

COLOPHON
This page is part of release 3.39 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.